Bug 1001280 - oo-accept-node flags administrative user processes
oo-accept-node flags administrative user processes
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason DeTiberus
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 16:13 EDT by Sten Turpin
Modified: 2015-05-14 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-26 16:45:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sten Turpin 2013-08-26 16:13:45 EDT
Description of problem: oo-accept-node reports "process is owned by a gear that's no longer on the system" for administrative users


Version-Release number of selected component (if applicable): openshift-origin-node-util-1.13.9-1.el6oso.noarch


How reproducible: usually, on staging


Steps to Reproduce:
1. run oo-accept-node

Actual results:
oo-accept-node flags processes belonging to administrative users: 
[sturpin@ex-lg-node1.stg ~]$ sudo oo-accept-node -v
INFO: loading node configuration file /etc/openshift/node.conf
INFO: loading resource limit file /etc/openshift/resource_limits.conf
INFO: finding external network device
INFO: checking node public hostname resolution
INFO: checking selinux status
INFO: checking selinux openshift-hosted policy
INFO: checking selinux booleans
INFO: checking selinux nodes
INFO: checking package list
INFO: checking services
INFO: checking kernel semaphores >= 512
INFO: checking cgroups configuration
INFO: checking cgroups processes
FAIL: Process 9981 is owned by a gear that's no longer on the system, uid: 703
FAIL: Process 10002 is owned by a gear that's no longer on the system, uid: 703
INFO: checking presence of tc qdisc
INFO: checking for cgroup filter
INFO: checking presence of tc classes
INFO: checking filesystem quotas
INFO: checking quota db file selinux label
INFO: checking 62 user accounts
INFO: checking application dirs
INFO: checking system httpd configs
INFO: checking cartridge repository
2 ERRORS
[sturpin@ex-lg-node1.stg ~]$ grep 703 /etc/passwd
sturpin:x:703:703:Sten Turpin:/home/sturpin:/bin/bash


Expected results:
oo-accept-node should ignore non-gear users for this check. 

Additional info:
Comment 1 Jason DeTiberus 2013-08-26 16:45:21 EDT
GEAR_MIN_UID and GEAR_MAX_UID needed to be updated to match the default district values being used.
Comment 2 Dan McPherson 2013-08-26 17:18:04 EDT
Was this added to the release ticket?
Comment 3 Sten Turpin 2013-08-27 09:51:14 EDT
It's on the release ticket, and added to the 2.0.32 release.

Note You need to log in before you can comment on or make changes to this bug.